# Uses of Enum
org.apache.commons.math3.stat.inference.AlternativeHypothesis

Packages that use AlternativeHypothesis
Package
Description
org.apache.commons.math3.stat.inference
Classes providing hypothesis testing.

## Uses of AlternativeHypothesis in org.apache.commons.math3.stat.inference

Methods in org.apache.commons.math3.stat.inference that return AlternativeHypothesis
Modifier and Type
Method
Description
`static AlternativeHypothesis`
AlternativeHypothesis.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AlternativeHypothesis[]`
AlternativeHypothesis.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.commons.math3.stat.inference with parameters of type AlternativeHypothesis
Modifier and Type
Method
Description
`double`
BinomialTest.`binomialTest(int numberOfTrials, int numberOfSuccesses, double probability, AlternativeHypothesis alternativeHypothesis)`
Returns the observed significance level, or p-value, associated with a Binomial test.
`boolean`
BinomialTest.`binomialTest(int numberOfTrials, int numberOfSuccesses, double probability, AlternativeHypothesis alternativeHypothesis, double alpha)`
Returns whether the null hypothesis can be rejected with the given confidence level.